Package org.apache.cayenne.dba.sqlserver

# Class SQLServerTreeProcessorV12

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor
org.apache.cayenne.dba.sybase.SybaseSQLTreeProcessor
org.apache.cayenne.dba.sqlserver.SQLServerTreeProcessor
org.apache.cayenne.dba.sqlserver.SQLServerTreeProcessorV12

All Implemented Interfaces:
  `NodeTreeVisitor`, `SQLTreeProcessor`

public class SQLServerTreeProcessorV12 extends SQLServerTreeProcessor
SQL tree processor that supports OFFSET X ROWS FETCH NEXT Y ROWS ONLY clause for the SQLServer 2012 and later.

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLServerTreeProcessorV12()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `hasOrderingClause(Node parent)`
  `protected void`
  `onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)`

  ### Methods inherited from class org.apache.cayenne.dba.sqlserver.SQLServerTreeProcessor

  `onColumnNode`

  ### Methods inherited from class org.apache.cayenne.dba.sybase.SybaseSQLTreeProcessor

  `onFunctionNode`

  ### Methods inherited from class org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor

  `onChildNodeStart, onDistinctNode, onInNode, onLikeNode, onResultNode, onUndefinedNode, onValueNode, process, replaceChild, replaceChild, wrapInFunction`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

  `onChildNodeEnd, onNodeEnd, onNodeStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SQLServerTreeProcessorV12

    public SQLServerTreeProcessorV12()

- ## Method Details

  - ### onLimitOffsetNode

    protected void onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)
    Overrides:
      `onLimitOffsetNode` in class `SybaseSQLTreeProcessor`

  - ### hasOrderingClause

    protected boolean hasOrderingClause(Node parent)